// Copyright (c) 2007 Helsinki Institute of Information Technology HIIT
// 
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without
// restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following
// conditions:
// 
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Gazillion
{
    public partial class SettingsDialog : Form
    {

        public SettingsDialog()
        {
            InitializeComponent();
            ResetSettings();
        }

        private void ResetSettings()
        {
            this.urlPrefixTextBox.Text = Properties.Settings.Default.urlPrefix;
            this.urlHomeTextBox.Text = Properties.Settings.Default.urlHome;
            this.urlHelpTextBox.Text = Properties.Settings.Default.urlHelp;
            this.urlSearchTextBox.Text = Properties.Settings.Default.urlSearch;
            this.wikiHomeTextBox.Text = Properties.Settings.Default.wikiHome;
        }

        private void saveButton_Click(object sender, EventArgs e)
        {
            Properties.Settings.Default.urlPrefix = this.urlPrefixTextBox.Text;
            Properties.Settings.Default.urlHome = this.urlHomeTextBox.Text;
            Properties.Settings.Default.urlHelp = this.urlHelpTextBox.Text;
            Properties.Settings.Default.urlSearch = this.urlSearchTextBox.Text;
            Properties.Settings.Default.wikiHome = this.wikiHomeTextBox.Text;
            Properties.Settings.Default.Save();
            this.Close();
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void resetButton_Click(object sender, EventArgs e)
        {
            ResetSettings();
        }

    
    }
}